Remove a sending domain

Permanently deletes a sending domain from the organization. Use this endpoint to remove a sending domain through the Samva email API.

DELETE
/v1/email/domains/{id}

Permanently deletes a sending domain from the organization.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^dom_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

SuccessResult

application/json
  1. response
success*boolean
message*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.removeDomain({  "id": "example"});
Example Response
{  "success": true,  "message": "string"}

Related documentation